// Namiq Sultan 2004 
// Example 4, Transformations

#include <GL/glut.h>

void display(void)
{
	glLoadIdentity();
	glClear (GL_COLOR_BUFFER_BIT);
	glColor3f(1, 1, 1);
	glBegin(GL_LINES);
		glVertex2f(-200, 0);glVertex2f(200, 0);glVertex2f(0, -200);glVertex2f(0, 200);
	glEnd();

	glColor3f(1, 0, 0);
	glBegin(GL_TRIANGLES);     
		glVertex2f (0, 0);
		glVertex2f(50, 0);
		glVertex2f (50, 50);
	glEnd();
	
	glTranslatef(0, 100, 0);
	glColor3f(0, 1, 0);
	glBegin(GL_TRIANGLES );		// Translate then draw     
		glVertex2f (0, 0);
		glVertex2f(50, 0);
		glVertex2f (50, 50);
	glEnd();
	
	glRotatef(90, 0, 0, 1);
	glColor3f(0, 0, 1);
	glBegin(GL_TRIANGLES );		// Rotate, translate then draw    
		glVertex2f (0, 0);
		glVertex2f(50, 0);
		glVertex2f (50, 50);
	glEnd();

	glFlush ();   /* don't wait! start processing buffered OpenGL routines */
}

void reshape(int w, int h)
{
	glViewport (0, 0, (GLsizei) w, (GLsizei) h);
	glMatrixMode (GL_PROJECTION);
	glLoadIdentity ();
	gluOrtho2D (-w/2, (GLdouble) w/2, -h/2, (GLdouble) h/2);
	glMatrixMode(GL_MODELVIEW);
//	glLoadIdentity();
}

int main()
{
	glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize (400, 400);
	glutInitWindowPosition (100, 100);
	glutCreateWindow ("Transformations");
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0; /* ISO C requires main to return int. */
}