// Namiq Sultan 2004 
// Example 6, glOrtho() and depth effect

#include <GL/glut.h>
GLint angle = 0;

void init()
{	
	glEnable(GL_DEPTH_TEST);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(-2, 2, -2, 2, -2, 2);
	glMatrixMode(GL_MODELVIEW);
	
}

void display(void)
{
	glClear (GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	glColor3f(0, 1, 0);
	glLoadIdentity();
	glRotatef(angle, 0, 1, 0);
	glBegin(GL_TRIANGLES );
		glVertex3f (0, 0, 1);
		glVertex3f(1, 0, 1);
		glVertex3f (0, 1, 1);
		
		glColor3f(1, 0, 0);
		glVertex3f (0, 0, -1);
		glVertex3f(0, 1, -1);
		glVertex3f (-1, 0, -1);
		
	glEnd();
	
	glFlush ();   /* don't wait! start processing buffered OpenGL routines */
}


void mouse(int button, int state, int x, int y)
{
	switch (button) {
		case GLUT_LEFT_BUTTON:
			if (state == GLUT_DOWN){
				angle += 5;
				angle = (angle >= 360)? 0: angle;
				glutPostRedisplay();
			}
			break;
		
	default:	break;
	}
}


int main(int argc, char **argv)
{
	glutInit( &argc, argv);
	glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize (250, 250);
	glutInitWindowPosition (100, 100);
	glutCreateWindow ("Transformations");
	init();
	glutDisplayFunc(display);
	glutMouseFunc(mouse);
	glutMainLoop();
	return 0; /* ISO C requires main to return int. */
}