// Namiq Sultan 2004 
// Example 7, glOrtho() 

#include <GL/glut.h>
GLfloat angle = 45;

GLfloat vertices[][3]= {{-1, -1, -1},	// 0
						{ 1, -1, -1},	// 1
						{ 1,  1, -1},	// 2
						{-1,  1, -1},	// 3
						{-1, -1,  1},	// 4
						{ 1, -1,  1},	// 5
						{ 1,  1,  1},	// 6
						{-1,  1, 1}};	// 7


void display(void)
{
	glClear (GL_COLOR_BUFFER_BIT);
	glLoadIdentity();
	glRotatef(angle, 1, 0, 0);
	glRotatef(angle, 0, 1, 0);
	glScalef(100, 100, 100);
	glBegin(GL_LINE_LOOP);
	  glVertex3fv(vertices[0]);
		glVertex3fv(vertices[1]);
		glVertex3fv(vertices[2]);
		glVertex3fv(vertices[3]);
	glEnd();
	glBegin(GL_LINE_LOOP);
		glVertex3fv(vertices[4]);
		glVertex3fv(vertices[5]);
		glVertex3fv(vertices[6]);
		glVertex3fv(vertices[7]);
	glEnd();
	glBegin(GL_LINES);	
		glVertex3fv(vertices[0]);
		glVertex3fv(vertices[4]);
		glVertex3fv(vertices[7]);
		glVertex3fv(vertices[3]);
		glVertex3fv(vertices[1]);
		glVertex3fv(vertices[5]);
		glVertex3fv(vertices[6]);
		glVertex3fv(vertices[2]);
			
	glEnd();
	
	glFlush(); 
}

void reshape(int w, int h)
{
	glViewport (0, 0, (GLsizei) w, (GLsizei) h);
	glMatrixMode (GL_PROJECTION);
	glLoadIdentity ();
	glOrtho(-w/2, w/2, -h/2, h/2,-h/2, h/2);
	glMatrixMode(GL_MODELVIEW);
}

int main()
{
	glutInitWindowSize (600, 600);
	glutCreateWindow ("Transformations");
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0; /* ISO C requires main to return int. */
}