// Namiq Sultan 2004 
// Example 3

#include <GL/glut.h>

void display(void)
{
	glClear (GL_COLOR_BUFFER_BIT);

	glBegin(GL_TRIANGLES );     
		glVertex2f (0, 0);
		glVertex2f(50, 10);
		glVertex2f (20, 80);
	glEnd();
	

	glFlush ();   /* don't wait! start processing buffered OpenGL routines */
}

void reshape (int w, int h)
{
	glViewport (0, 0, (GLsizei) w, (GLsizei) h);
	glMatrixMode (GL_PROJECTION);
	glLoadIdentity ();
	gluOrtho2D (0.0, (GLdouble) w, 0.0, (GLdouble) h);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}

/*
* Declare initial window size, position, and display mode
* (single buffer and RGBA). Open window with "hello"
* in its title bar. Call initialization routines.
* Register callback function to display graphics.
* Enter main loop and process events.
*/

int main()
{
	glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize (250, 250);
	glutInitWindowPosition (100, 100);
	glutCreateWindow ("Example 3");
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0; /* ISO C requires main to return int. */
}