// Namiq Sultan 2004 
// Example 5, glPushMatrix() and glPopMatrex()

#include <GL/glut.h>

void triangle(void)
{
	glBegin(GL_TRIANGLES);
		glVertex2f(0, 0);
		glVertex2f(100, 0);
		glVertex2f(100, 100);
	glEnd();
}

void display(void)
{
	glClear (GL_COLOR_BUFFER_BIT);
	glColor3f(1, 1, 0);
	glLoadIdentity();
	for(int i=0; i<4; i++){
		glRotatef(90, 0, 0, 1);
		glPushMatrix();
		glScalef(0.5, 0.5, 1);
		triangle();
		glPopMatrix();
	}
	glFlush();
}

void reshape(int w, int h)
{
	glViewport (0, 0, (GLsizei) w, (GLsizei) h);
	glMatrixMode (GL_PROJECTION);
	glLoadIdentity ();
	gluOrtho2D ((GLdouble)-w/2, (GLdouble)w/2, (GLdouble)-h/2, (GLdouble)h/2);
	glMatrixMode(GL_MODELVIEW);	
}

int main()
{
	glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize (400, 400);
	glutInitWindowPosition (100, 100);
	glutCreateWindow ("Transformations");
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0; /* ISO C requires main to return int. */
}