// Namiq Sultan 2004 
// Example5_a, Shearing, Reflection adn glLoadMatrix() 
//				glMultMatrix()
#include <GL/glut.h>

GLfloat ref_y[]={  -1, 0, 0, 0,    //first column
					0, 1, 0, 0,		// second column
					0, 0, 0, 0,		// third column
					0, 0, 0, 1};
GLfloat shear_x[]={	1, 0, 0, 0,		// first column
					1, 1, 0, 0,
					0, 0, 0, 0,
					0, 0, 0, 1};


void display(void)
{
	glClear(GL_COLOR_BUFFER_BIT);
	glColor3f(1, 1, 1);
	glLoadIdentity();
	glBegin(GL_LINES);
		glVertex2i(-200,0);glVertex2i(200,0);glVertex2i(0,-200);glVertex2i(0,200);
	glEnd();
	glMultMatrixf(shear_x); //multiply the current matrix by an arbitrary matrix
//	glLoadMatrixf(ref_y); //replace the current matrix with an arbitrary matrix

	glColor3f(1, 1, 0);
	glBegin(GL_TRIANGLES);		 
		glVertex2i(0, 0);
		glVertex2i(100, 50);
		glVertex2i(100, -50);
	glEnd();
	
	glFlush ();   /* don't wait! start processing buffered OpenGL routines */
}

void reshape(int w, int h)
{
	glViewport (0, 0, (GLsizei) w, (GLsizei) h);
	glMatrixMode (GL_PROJECTION);
	glLoadIdentity ();
	gluOrtho2D ((GLdouble)-w/2, (GLdouble)w/2, (GLdouble)-h/2, (GLdouble)h/2);
	glMatrixMode(GL_MODELVIEW);
}

int main(int argc, char **argv)
{
	glutInit( &argc, argv);
	glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize (400, 400);
	glutInitWindowPosition (100, 100);
	glutCreateWindow ("Transformations");
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0; /* ISO C requires main to return int. */
}